#!/usr/bin/env python

# The name of the current node
NODE="node" # <--- change this

# The gist ID
GIST_ID="abcdef0123456789" # <--- change this

# The github auth token
AUTH_TOKEN="abcdef0123456789" # <--- change this


BASE_URL="https://api.github.com/gists"

import json, sys
try:
    import requests
except:
    print >>sys.stderr,"Please install requests (https://2.python-requests.org//de/latest/user/install.html)"
    exit(1)

gist_url = "%s/%s" % (BASE_URL, GIST_ID)
auth_params = {"access_token": AUTH_TOKEN}

if sys.argv[1] == "load":
    response = requests.get(gist_url, params=auth_params)
    response.raise_for_status()
    for _, data in response.json()["files"].items():
        print data["content"]
elif sys.argv[1] == "store":
    if len(sys.argv) != 3:
        print >>sys.stderr,"Beacon must be given as parameter"
        exit(1)
    beacon = sys.argv[2]
    request = {"files": { ("%s.beacon" % NODE): { "content": beacon }}}
    response = requests.patch(gist_url, params=auth_params, data=json.dumps(request))
    response.raise_for_status()
else:
    print >>sys.stderr,"Command must be either 'store' or 'load'"
    exit(1)